org.jboss.jca.common

## Interface CommonBundle

-     @MessageBundle(projectCode="IJ")
      public interface CommonBundle

  The common bundle. Message ids ranging from 010000 to 019999 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `annotationRepositoryNull()` Annotation repository is null
    `java.lang.String` | `attributeAsBoolean(java.lang.String value, java.lang.String element)` Attribute as boolean
    `java.lang.String` | `elementAsBoolean(java.lang.String value, java.lang.String element)` Element as boolean
    `java.lang.String` | `invalidMetadataForResourceAdapter()` Invalid metadata for resource adapter
    `java.lang.String` | `invalidNegative(java.lang.String tag)` Invalid negative
    `java.lang.String` | `invalidSecurityConfiguration()` Invalid security configuration
    `java.lang.String` | `invalidTag(java.lang.String tag)` Invalid tag
    `java.lang.String` | `invalidZero(java.lang.String tag)` Invalid zero
    `java.lang.String` | `missingClassName(java.lang.String value)` Missing class name
    `java.lang.String` | `missingJndiName(java.lang.String value)` Missing jndi name
    `java.lang.String` | `missingValue(java.lang.String tag)` Missing value
    `java.lang.String` | `moreThanOneConnectionDefinitionsDefined()` More than one @ConnectionDefinitions defined
    `java.lang.String` | `moreThanOneConnectorDefined()` More than @Connector defined
    `java.lang.String` | `multiplePools()` Multiple pools
    `java.lang.String` | `noConnectorDefined()` No @Connector defined
    `java.lang.String` | `noMetadataForResourceAdapter()` Resource adapter not defined
    `java.lang.String` | `notValidFlushStrategy(java.lang.String value)` Not a valid flush strategy
    `java.lang.String` | `notValidNumber(java.lang.String value, java.lang.String element)` Not a valid number
    `java.lang.String` | `nullValue(java.lang.String tag)` Null value
    `java.lang.String` | `requiredAttributeMissing(java.lang.String attr, java.lang.String tag)` Required attribute
    `java.lang.String` | `requiredElementMissing(java.lang.String element, java.lang.String tag)` Required element
    `java.lang.String` | `unexpectedAttribute(java.lang.String value, java.lang.String location)` Unexpected attribute
    `java.lang.String` | `unexpectedElement(java.lang.String value)` Unexpected element
    `java.lang.String` | `unexpectedEndOfDocument()` Unexpected end of document
    `java.lang.String` | `unexpectedEndTag(java.lang.String value)` Unexpected end tag
    `java.lang.String` | `unknownAnnotation(java.lang.Object annotation)` Unknown annotation
    `java.lang.String` | `unsupportedElement(java.lang.String value)` Unsupported element
    `java.lang.String` | `wrongAnnotationType(java.lang.Object annotation)` Wrong annotation type

- - ### Method Detail

    - #### annotationRepositoryNull

          @Message(id=10051,
                   value="AnnotationRepository reference is null")
          java.lang.String annotationRepositoryNull()

      Annotation repository is null
      Returns:
        The value

    - #### noConnectorDefined

          @Message(id=10052,
                   value="No @Connector defined")
          java.lang.String noConnectorDefined()

      No @Connector defined
      Returns:
        The value

    - #### moreThanOneConnectorDefined

          @Message(id=10053,
                   value="More than @Connector defined")
          java.lang.String moreThanOneConnectorDefined()

      More than @Connector defined
      Returns:
        The value

    - #### moreThanOneConnectionDefinitionsDefined

          @Message(id=10054,
                   value="More than one @ConnectionDefinitions defined")
          java.lang.String moreThanOneConnectionDefinitionsDefined()

      More than one @ConnectionDefinitions defined
      Returns:
        The value

    - #### unknownAnnotation

          @Message(id=10055,
                   value="Unknown annotation: %s")
          java.lang.String unknownAnnotation(java.lang.Object annotation)

      Unknown annotation
      Parameters:
        `annotation` - The annotation
      Returns:
        The value

    - #### elementAsBoolean

          @Message(id=10056,
                   value="%s isn\'t a valid boolean for element %s. We accept only \"true\" or \"false\" as boolean value")
          java.lang.String elementAsBoolean(java.lang.String value,
                                                                                                                                                                                 java.lang.String element)

      Element as boolean
      Parameters:
        `value` - The value
        `element` - The element
      Returns:
        The value

    - #### attributeAsBoolean

          @Message(id=10057,
                   value="%s isn\'t a valid boolean for attribute %s. We accept only \"true\" or \"false\" as boolean value")
          java.lang.String attributeAsBoolean(java.lang.String value,
                                                                                                                                                                                     java.lang.String element)

      Attribute as boolean
      Parameters:
        `value` - The value
        `element` - The element
      Returns:
        The value

    - #### notValidNumber

          @Message(id=10058,
                   value="%s isn\'t a valid number for element %s")
          java.lang.String notValidNumber(java.lang.String value,
                                                                                                                       java.lang.String element)

      Not a valid number
      Parameters:
        `value` - The value
        `element` - The element
      Returns:
        The value

    - #### notValidFlushStrategy

          @Message(id=10059,
                   value="%s isn\'t a valid flush strategy")
          java.lang.String notValidFlushStrategy(java.lang.String value)

      Not a valid flush strategy
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### unexpectedEndTag

          @Message(id=10060,
                   value="Unexpected end tag: %s")
          java.lang.String unexpectedEndTag(java.lang.String value)

      Unexpected end tag
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### unexpectedElement

          @Message(id=10061,
                   value="Unexpected element: %s")
          java.lang.String unexpectedElement(java.lang.String value)

      Unexpected element
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### unexpectedEndOfDocument

          @Message(id=10062,
                   value="Reached end of xml document unexpectedly")
          java.lang.String unexpectedEndOfDocument()

      Unexpected end of document
      Returns:
        The value

    - #### missingClassName

          @Message(id=10063,
                   value="Mandatory class-name attribute missing in: %s")
          java.lang.String missingClassName(java.lang.String value)

      Missing class name
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### unexpectedAttribute

          @Message(id=10064,
                   value="Unexpected attribute %s at %s")
          java.lang.String unexpectedAttribute(java.lang.String value,
                                                                                                                  java.lang.String location)

      Unexpected attribute
      Parameters:
        `value` - The value
        `location` - The location
      Returns:
        The value

    - #### missingJndiName

          @Message(id=10065,
                   value="Missing mandatory jndi-name attribute: %s")
          java.lang.String missingJndiName(java.lang.String value)

      Missing jndi name
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### multiplePools

          @Message(id=10066,
                   value="You cannot define more than one pool or xa-pool in same connection-definition")
          java.lang.String multiplePools()

      Multiple pools
      Returns:
        The value

    - #### unsupportedElement

          @Message(id=10067,
                   value="Element %s cannot be set without an xa-pool")
          java.lang.String unsupportedElement(java.lang.String value)

      Unsupported element
      Parameters:
        `value` - The value
      Returns:
        The value

    - #### requiredAttributeMissing

          @Message(id=10068,
                   value="Missing required attribute %s in %s")
          java.lang.String requiredAttributeMissing(java.lang.String attr,
                                                                                                                             java.lang.String tag)

      Required attribute
      Parameters:
        `attr` - The attribute
        `tag` - The tag
      Returns:
        The value

    - #### requiredElementMissing

          @Message(id=10069,
                   value="Missing required element %s in %s")
          java.lang.String requiredElementMissing(java.lang.String element,
                                                                                                                         java.lang.String tag)

      Required element
      Parameters:
        `element` - The element
        `tag` - The tag
      Returns:
        The value

    - #### invalidNegative

          @Message(id=10070,
                   value="Invalid negative value for %s")
          java.lang.String invalidNegative(java.lang.String tag)

      Invalid negative
      Parameters:
        `tag` - The tag
      Returns:
        The value

    - #### invalidTag

          @Message(id=10071,
                   value="%s is not valid. See exception for more details")
          java.lang.String invalidTag(java.lang.String tag)

      Invalid tag
      Parameters:
        `tag` - The tag
      Returns:
        The value

    - #### nullValue

          @Message(id=10072,
                   value="%s cannot be undefined")
          java.lang.String nullValue(java.lang.String tag)

      Null value
      Parameters:
        `tag` - The tag
      Returns:
        The value

    - #### invalidSecurityConfiguration

          @Message(id=10073,
                   value="Invalid <security> configuration")
          java.lang.String invalidSecurityConfiguration()

      Invalid security configuration
      Returns:
        The value

    - #### noMetadataForResourceAdapter

          @Message(id=10074,
                   value="The resource adapter metadata must be defined")
          java.lang.String noMetadataForResourceAdapter()

      Resource adapter not defined
      Returns:
        The value

    - #### invalidMetadataForResourceAdapter

          @Message(id=10075,
                   value="The resource adapter metadata must contain either an outbound or inbound configuration")
          java.lang.String invalidMetadataForResourceAdapter()

      Invalid metadata for resource adapter
      Returns:
        The value

    - #### missingValue

          @Message(id=10076,
                   value="%s must be defined")
          java.lang.String missingValue(java.lang.String tag)

      Missing value
      Parameters:
        `tag` - The tag
      Returns:
        The value

    - #### wrongAnnotationType

          @Message(id=10077,
                   value="Wrong annotation type: %s")
          java.lang.String wrongAnnotationType(java.lang.Object annotation)

      Wrong annotation type
      Parameters:
        `annotation` - The annotation
      Returns:
        The value

    - #### invalidZero

          @Message(id=10078,
                   value="Invalid zero value for %s")
          java.lang.String invalidZero(java.lang.String tag)

      Invalid zero
      Parameters:
        `tag` - The tag
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)